## profnet 1.0.21

=== Makefile ===
PACKAGE := profnet
VERSION := 1.0.21
DISTDIR := $(PACKAGE)-$(VERSION)

SRCDIR := src

NET := bval chop con isis md norsnet prof snapfun
NETDIR := $(addsuffix _dir,$(NET))
NETDIFF := $(addprefix diff-,$(NET))
NETPATCH := $(NET:%=%_dir/patch_stamp)
NETPATCHNEW := $(addsuffix .patch.new,$(NET))
NETDISTCLEAN := $(addprefix distclean-,$(NET))
NETINSTALL := $(addprefix install-,$(NET))

MAN1POD := profnet.pod
MAN1GZ := $(MAN1POD:%.pod=%.1.gz)  

all:	net man phd

net:	$(NET)

diff:	$(NETDIFF)

$(NETDIFF) : diff-% : %.patch.new

$(NETPATCHNEW): %.patch.new :
	if [ -d $*_dir ]; then \
		diff -ruN -x '.*.swp' -x 'profnet*' -x .svn src $*_dir > $@ || true; \
	fi

$(NETDIR) : %_dir :
	mkdir -p $@ && rsync -avC src/. ./$@/.

%_dir/patch_stamp: | %_dir
	patch -p 1 -E -d $*_dir < $*.patch && touch $@

patch: $(NETPATCH)

$(NET) : % : | %_dir/patch_stamp
	$(MAKE) -C $@_dir

$(NETINSTALL) : install-% :
	mkdir -p $(DESTDIR)$(prefix)/bin && \
		cp -a $*_dir/profnet_$* \
		$(DESTDIR)$(prefix)/bin/
	mkdir -p $(DESTDIR)$(prefix)/share/man/man1 && cp $(MAN1GZ) $(DESTDIR)$(prefix)/share/man/man1/profnet_$*.1.gz

phd:
	$(MAKE) -C src-phd

install-phd:
	$(MAKE) -C src-phd install
	mkdir -p $(DESTDIR)$(prefix)/share/man/man1 && cp $(MAN1GZ) $(DESTDIR)$(prefix)/share/man/man1/profphd_net.1.gz
	rm -f $(DESTDIR)$(prefix)/share/man/man1/phd1994.1.gz && ln -s profphd_net.1.gz $(DESTDIR)$(prefix)/share/man/man1/phd1994.1.gz

install: $(NETINSTALL) install-phd

man:    $(MAN1GZ) $(MAN3:%.pod=%.3.gz)   

$(MAN1GZ) : %.1.gz : %.pod 
	pod2man -c 'User Commands' -r "$(VERSION)-$(RGVERSION)" $< | gzip -c > $@


help:
	@echo "Rules:"
	@echo "all* - build all"
	@echo "net - make all network binaries"
	@echo "$(NET) -"
	@echo "  make a specific network binary"
	@echo "diff - prepare patch files for profnet varieties"
	@echo "$(NETDIFF) -"
	@echo "  make a specific network variety patch"
	@echo "  A diff is run between the src dir - the base network - and the"
	@echo "  variety given.  This prepares a patch file with .patch.new extension"
	@echo "  that can me renamed to .patch.  Network varieties are obtained by"
	@echo "  applying the appropriate .patch file to the base network in src."
	@echo "  Importantly only these patch files are distributed with this package,"
	@echo "  the network variety directories (e.g. snapfun_dir) are used only for"
	@echo "  building the binary.  Preserve your updates to the base version"
	@echo "  by preparing and updating the appropriate patch file."
	@echo "$(NETDISTCLEAN) -"
	@echo "  distclean a specific network variety"
	@echo "clean"
	@echo "dist"
	@echo "distclean"
	@echo "man - make all manual pages"
	@echo "install - install all"
	@echo "$(NETINSTALL) -"
	@echo "  install a specific variety to \$$DESTDIR\$$prefix"
	@echo "install-phd - install profphd_net"
	@echo "patch - patch and prepare all for compilation"
	@echo "phd - make profphd_net"
	@echo
	@echo "Variables:"
	@echo "  Meaning and purpose not clear any more."
	@echo "DESTDIR - install to DESTDIR"
	@echo "prefix - common installation prefix for all files"
	@echo "  use prefix=$$HOME to build for personal use"

distclean: clean $(NETDISTCLEAN)
	rm -rf\
		$(DISTDIR) \
		$(DISTDIR).tar.gz

$(NETDISTCLEAN) : distclean-% :
	rm -rf $*_dir

dist:	$(DISTDIR)
	tar -ch -f - "$(DISTDIR)" | gzip -c >$(DISTDIR).tar.gz
	rm -rf $(DISTDIR)

$(DISTDIR): distclean
	rm -rf $(DISTDIR) && mkdir -p $(DISTDIR) && \
	rsync -avC \
		--exclude /*-stamp \
		--exclude .*.swp \
		--exclude debian \
		AUTHORS \
		ChangeLog \
		COPYING \
		Makefile \
		$(PACKAGE).spec \
		src \
		src-phd \
		*.patch \
		*.pod \
		$(DISTDIR)/;


clean: 
	$(MAKE) -C src clean
	$(MAKE) -C src-phd clean
	rm -f *.[0123456789].gz 

.PHONY: all clean diff install-phd man net patch phd $(NET) $(NETDIFF) $(NETDISTCLEAN) $(NETPATCHNEW)

# vim:ai:

=== src/Makefile ===
#=====================================================================
F77			=	gfortran
BIN			=	profnet_prof
#=====================================================================
ARCH			=	LINUX
FFLAGS          	:= 	-O3 -fbounds-check -Wuninitialized
FFLAGS          	:= 	$(FFLAGS) -Wall -Wno-unused
#=====================================================================
NN_OBJS			:= prof.f lib-prof.f lib-sys-$(ARCH).f
SOURCES			:= $(NN_OBJS) profPar.f
#=====================================================================
all:	$(BIN)

#=====================================================================
# Make Neural Network
#=====================================================================

$(BIN): $(SOURCES)
	@echo --- making $(BIN)
	$(F77) -o $@ $(FFLAGS) $(NN_OBJS)

clean:
	rm -f *.o $(BIN)

install:
	mkdir -p $(DESTDIR)$(prefix)/bin && \
		cp $(BIN) $(DESTDIR)$(prefix)/bin/

.PHONY:	all clean install

=== debian/changelog ===
profnet (1.0.21-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 21 Jun 2011 16:15:37 +0200

profnet (1.0.20-2) unstable; urgency=low

  * added copyright info for Guy Yachdav and Laszlo Kajan; fixed
    description lines in debian/control

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 16 Jun 2011 17:41:46 +0000

profnet (1.0.20-1) unstable; urgency=low

  * New upstream release
  * Removed -Werror patch - upstream does not need it any more
  * Explained the reason for the many binary packages in README.Debian
  * Added profnet-dbg package with debugging symbols

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 14 Jun 2011 18:50:52 +0200

profnet (1.0.19-4) stable; urgency=low

  * build for Debian unstable

 -- Laszlo Kajan <lkajan@rostlab.org>  Sun, 12 Jun 2011 19:39:32 +0200

profnet (1.0.19-3) stable; urgency=low

  * build for Debian squeeze

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 25 Feb 2011 18:48:41 +0100

profnet (1.0.19-2) stable; urgency=low

  * profnet-chop

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 12 May 2010 20:07:24 +0200

profnet (1.0.19-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 12 May 2010 20:07:24 +0200

profnet (1.0.18-2) stable; urgency=low

  * Another attempt at profnet_md

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 17 Mar 2010 16:23:34 +0100

profnet (1.0.18-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 17 Mar 2010 16:23:34 +0100

profnet (1.0.17-1) stable; urgency=low

  * New upstream release with profnet_isis

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Feb 2010 11:25:32 +0100

profnet (1.0.16-3) stable; urgency=low

  * profnet depends on profnet-con

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 23 Feb 2010 10:55:09 +0100

profnet (1.0.16-2) stable; urgency=low

  * profnet_con

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 23 Feb 2010 10:55:09 +0100

profnet (1.0.16-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 23 Feb 2010 10:55:09 +0100

profnet (1.0.15-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 17 Feb 2010 11:52:06 +0100

profnet (1.0.14-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 11 Feb 2010 13:06:40 +0100

profnet (1.0.13-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 10 Feb 2010 18:01:02 +0100

profnet (1.0.12-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 05 Jan 2010 18:09:16 +0100

profnet (1.0.11-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 18 Dec 2009 22:20:36 +0100

profnet (1.0.10-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 17 Dec 2009 18:24:02 +0100

profnet (1.0.8-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 15 Dec 2009 09:17:13 +0100

profnet (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 10 Dec 2009 13:55:34 +0100

profnet (1.0.6-1) unstable; urgency=low

  * (unstable) New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 09 Dec 2009 14:32:49 +0100

profnet (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 09 Dec 2009 13:11:39 +0100

profnet (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Tue, 08 Dec 2009 16:21:27 +0100

profnet (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 02 Dec 2009 12:00:57 +0100

profnet (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 30 Nov 2009 18:23:31 +0100

profnet (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 30 Nov 2009 16:04:11 +0100

profnet (1.0.0) unstable; urgency=low

  * Initial release.

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 30 Nov 2009 14:50:26 +0100

=== debian/control ===
Source: profnet
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Guy Yachdav <gyachdav@rostlab.org>, Laszlo Kajan <lkajan@rostlab.org>
Build-Depends: debhelper (>= 7), gfortran, rsync
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profnet/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/rostlab/profnet/trunk/
DM-Upload-Allowed: yes
Homepage: http://www.predictprotein.org/

Package: profnet-bval
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profbval
Description: neural network architecture for profbval
 ${Description}
 .
 This package contains the neural network architecture for profbval.

Package: profnet-chop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profchop
Description: neural network architecture for profchop
 ${Description}
 .
 This package contains the neural network architecture for profchop.

Package: profnet-con
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profcon
Description: neural network architecture for profcon
 ${Description}
 .
 This package contains the neural network architecture for profcon.

Package: profnet-isis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profisis
Description: neural network architecture for profisis
 ${Description}
 .
 This package contains the neural network architecture for profisis.

Package: profnet-md
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: metadisorder
Description: neural network architecture for metadisorder
 ${Description}
 .
 This package contains the neural network architecture for metadisorder.

Package: profnet-norsnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: norsnet
Description: neural network architecture for norsnet
 ${Description}
 .
 This package contains the neural network architecture for norsnet.

Package: profnet-prof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profphd
Description: neural network architecture for profacc
 ${Description}
 .
 This package contains the neural network architecture for profsec and profacc.

Package: profnet-snapfun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: snapfun
Description: neural network architecture for snapfun
 ${Description}
 .
 This package contains the neural network architecture for snapfun.

Package: profphd-net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profphd
Description: neural network architecture for profphd
 ${Description}
 .
 This package contains the neural network architecture for profphd.

Package: profnet-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, profnet-bval (= ${binary:Version}), profnet-chop (= ${binary:Version}), profnet-con (= ${binary:Version}), profnet-isis (= ${binary:Version}), profnet-md (= ${binary:Version}), profnet-norsnet (= ${binary:Version}), profnet-prof (= ${binary:Version}), profnet-snapfun (= ${binary:Version}), profphd-net (= ${binary:Version})
Description: debug files for profnet packages
 ${Description}
 .
 This package contains the stripped debugging symbols for profnet binaries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build: build-stamp

build-stamp:
	dh_testdir

	@echo "******************"
	@echo "**  M  A  K  E  **"
	@echo "******************"

	# Add here commands to compile the package.
	make patch
	make
	#docbook-to-man debian/profnet.sgml > profnet.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	@echo "*******************"
	@echo "** I N S T A L L **"
	@echo "*******************"

	# Add here commands to install the package into debian/profnet.
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-bval prefix=/usr install-bval
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-chop prefix=/usr install-chop
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-con prefix=/usr install-con
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-isis prefix=/usr install-isis
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-md prefix=/usr install-md
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-norsnet prefix=/usr install-norsnet
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-prof prefix=/usr install-prof
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-snapfun prefix=/usr install-snapfun
	$(MAKE) DESTDIR=$(CURDIR)/debian/profphd-net prefix=/usr install-phd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=profnet-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do \
		cat debian/substvars >> debian/$$i.substvars; \
	done;
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## profnet 1.0.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE := profnet
-VERSION := 1.0.21
+VERSION := 1.0.22
 DISTDIR := $(PACKAGE)-$(VERSION)
 
 SRCDIR := src

=== src-phd/Makefile ===
ARCH		= LINUX
F77       	= gfortran

# gfortran does not compile usable code with anything other than -O0 or without -O. It fails like this:
#5..4..3..2..*** ERROR prof: line number of error=106
#*** ERROR failed prof:full:doOne dbfile=../testhome/usr/share/profphd/prof/exa/1ppt.f, chain=*!
#*** ERROR msg from where it failed:
#*** ERROR doOne: assHack1994 failed
#*** ERROR assHack1994: SYSTEM call:
# /tmp/testhome/usr/share/profphd/prof/embl/phd.pl ../testhome/usr/share/profphd/prof/exa/1ppt.f exePhd=/tmp/testhome/usr/share/profphd/prof/bin/phd1994.LINUX exeHsspFilter=/tmp/testhome/usr/share/profphd/prof/bin/filter_hssp.LINUX exeHsspFilterPl=/tmp/testhome/usr/share/profphd/prof/scr/hssp_filter.pl exeHsspFilterPack=/tmp/testhome/usr/share/profphd/prof/scr/pack/hssp_filter.pm exeConvertSeq=/tmp/testhome/usr/share/profphd/prof/bin/convert_seq.LINUX exeCopf=/tmp/testhome/usr/share/profphd/prof/scr/copf.pl exeCopfPack=/tmp/testhome/usr/share/profphd/prof/scr/pack/copf.pm exeConvHssp2saf=/tmp/testhome/usr/share/profphd/prof/embl/scr/conv_hssp2saf.pl ARCH=LINUX filePhd=PROF8406_9zqqcndm7996nsqosopo.phdEMBL fileRdb=PROF8406_9zqqcndm7996nsqosopo.rdbPhdEMBL fileNotHtm=PROF8406_9zqqcndm7996nsqosopo.notHtm
# failed producing output file=PROF8406_9zqqcndm7996nsqosopo.rdbPhdEMBL
#
# phd.pl fails like this:
# /usr/share/profphd/prof/embl/phd.pl 1ppt.f exePhd=/usr/bin/phd1994.LINUX exeHsspFilter=/usr/bin/filter_hssp.LINUX exeHsspFilterPl=/usr/share/profphd/prof/scr/hssp_filter.pl exeHsspFilterPack=/usr/share/profphd/prof/scr/pack/hssp_filter.pm exeConvertSeq=/usr/bin/convert_seq.LINUX exeCopf=/usr/share/profphd/prof/scr/copf.pl exeCopfPack=/usr/share/profphd/prof/scr/pack/copf.pm exeConvHssp2saf=/usr/share/profphd/prof/embl/scr/conv_hssp2saf.pl ARCH=LINUX filePhd=PROF14055_49jmm2bo3981bmu3c3al.phdEMBL fileRdb=PROF14055_49jmm2bo3981bmu3c3al.rdbPhdEMBL fileNotHtm=PROF14055_49jmm2bo3981bmu3c3al.notHtm dbg
#  /usr/bin/phd1994.LINUX 1ppt.hssp no no sec phd Para_14322-sec317-may94.com rdb 0 /tmp/proftest XPHD14322.phdSec XPHD14322.rdbSec
# ---
# ---     Arguments given for calling FORTRAN program phd:
# --- Arg   1  |1ppt.hssp|
# --- Arg   2  |no|
# --- Arg   3  |no|
# --- Arg   4  |sec|
# --- Arg   5  |phd|
# --- Arg   6  |Para_14322-sec317-may94.com|
# --- Arg   7  |rdb|
# --- Arg   8  |0|
# --- Arg   9  |/tmp/proftest|
# --- Arg  10  |XPHD14322.phdSec|
# --- Arg  11  |XPHD14322.rdbSec|
# --- working directory       "/tmp/proftest"
# --- FILEPRED                "XPHD14322.phdSec"
# --- FILE_RDB                "XPHD14322.rdbSec"
# ----------------------------------------------------------------------
# ---     Protein from HSSP:  1ppt.hssp                                         
# ----------------------------------------------------------------------
# ---
# ---     HSSP file   1ppt.hssp                                         
# ---        RS_READHSSP PROTEINS-block done
# ---        RS_READHSSP ALIGNMENTS-block done
# ---        RS_READHSSP PROFILE-block done
# ---        RS_READHSSP ok(cut 50): 1ppt.hssp                                         
# xx LERROR after read hssp:  F
# ---        RS_GETHSSP(final words) got:
# ---     protname(50)   1pptPANCREAT                                      
# ---     length:          36    N alis:        0
# ---     sequence       GPSQPTYPGDDAPVEDLIRFYDNLQQYLNVVTRHRY
# ---     structure      LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
# ---     OFFSET                  1
# ---        RS_GETHSSP END(really)
# ***     ************************************************************
# ***     ERROR in reading HSSP (?), claimed to be empty (main PHD)
# ***     ************************************************************
#*** ERROR lib-ut:sysRunProg: failed on system call to FORTRAN (/usr/bin/phd1994.LINUX):
#***                 no pred file ',XPHD14322.phdSec'
#***                 no RDB  file ',XPHD14322.rdbSec'
#
# /usr/bin/phd1994.LINUX 1ppt.hssp no no sec phd Para_14202-sec317-may94.com rdb 0 /tmp/proftest XPHD14202.phdSec XPHD14202.rdbSec | fails like this:
#  ---
# ---     Arguments given for calling FORTRAN program phd:
# --- Arg   1  |1ppt.hssp|
# --- Arg   2  |no|
# --- Arg   3  |no|
# --- Arg   4  |sec|
# --- Arg   5  |phd|
# --- Arg   6  |Para_14202-sec317-may94.com|
# --- Arg   7  |rdb|
# --- Arg   8  |0|
# --- Arg   9  |/tmp/proftest|
# --- Arg  10  |XPHD14202.phdSec|
# --- Arg  11  |XPHD14202.rdbSec|
# --- working directory       "/tmp/proftest"
# --- FILEPRED                "XPHD14202.phdSec"
# --- FILE_RDB                "XPHD14202.rdbSec"
# ----------------------------------------------------------------------
# ---     Protein from HSSP:  1ppt.hssp                                         
# ----------------------------------------------------------------------
# ---
# ---     HSSP file   1ppt.hssp                                         
# ---        RS_READHSSP PROTEINS-block done
# ---        RS_READHSSP ALIGNMENTS-block done
# ---        RS_READHSSP PROFILE-block done
# ---        RS_READHSSP ok(cut 50): 1ppt.hssp                                         
# xx LERROR after read hssp:  F
# ---        RS_GETHSSP(final words) got:
# ---     protname(50)   1pptPANCREAT                                      
# ---     length:          36    N alis:        0
# ---     sequence       GPSQPTYPGDDAPVEDLIRFYDNLQQYLNVVTRHRY
# ---     structure      LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
# ---     OFFSET                  1
# ---        RS_GETHSSP END(really)
# ***     ************************************************************
# ***     ERROR in reading HSSP (?), claimed to be empty (main PHD)
# ***     ************************************************************
#
# NOTE that N alis above is 1 in the correct version working with the same input.
#
# -finit-local-zero - initializing variables - solves all of the above but not all compilers support it. Solution: initialize all variables properly.

FFLAGS := -O3 -fbounds-check
FFLAGS := $(FFLAGS) -Wall

profphd_net : phd.f lib-phd.f phdParameter.f
	$(F77) $(FFLAGS) -o $@ phd.f lib-phd.f

#phd.o : phdParameter.f

clean:
	rm -f *.o profphd_net

install:
	mkdir -p $(DESTDIR)$(prefix)/bin && \
		cp profphd_net $(DESTDIR)$(prefix)/bin/
	rm -f $(DESTDIR)$(prefix)/bin/phd1994 && ln -s profphd_net $(DESTDIR)$(prefix)/bin/phd1994
	

.PHONY: clean install

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 BIN			=	profnet_prof
 #=====================================================================
 ARCH			=	LINUX
-FFLAGS          	:= 	-O3 -fbounds-check -Wuninitialized
+FFLAGS          	:= 	$(FFLAGS) -O2 -Wuninitialized
 FFLAGS          	:= 	$(FFLAGS) -Wall -Wno-unused
 #=====================================================================
 NN_OBJS			:= prof.f lib-prof.f lib-sys-$(ARCH).f
@@ -17,7 +17,7 @@
 
 $(BIN): $(SOURCES)
 	@echo --- making $(BIN)
-	$(F77) -o $@ $(FFLAGS) $(NN_OBJS)
+	$(F77) $(CPPFLAGS) $(FFLAGS) $(LDFLAGS) -o $@ $(NN_OBJS)
 
 clean:
 	rm -f *.o $(BIN)

=== debian/changelog ===
profnet (1.0.22-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Contact, Name.
  * Fix a spelling typo

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * watch file standard 4 (routine-update)
  * Hack around some flags that are leading to errors in gfortran
  * Skip test of profnet-snapfun
    Closes: #905206
    Remark: This is really not the best solution but since upstream does
    not provide any help the only chance to keep that package and its
    rdepends

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 19:22:38 +0100

profnet (1.0.22-6) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 19:36:35 +0200

profnet (1.0.22-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 15:32:46 +0100

profnet (1.0.22-4) unstable; urgency=medium

  * Fix for flag passing in debian/rules (Thanks to Steve Langasek for the
    patch)
    Closes: #831352

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 22:15:51 +0200

profnet (1.0.22-3) unstable; urgency=medium

  [ Tatiana Malygina ]
  * Team upload.
  * cme fix dpkg-control
  * add example file and testsuite for profnet-prof
  * same testsuite works for several other packages (profnet-chop, profnet-con,
    profnet-isis, profnet-snapfun). Add debian/*.examples files for these
    packages and add to debian/tests/control
  * mention debian/examples/PROFacc_tst.jct in debian/copyright
  * add debian/docs, debian/README.test
  * change debian/docs to set of {package}.docs for packages profnet-chop,
    profnet-con, profnet-isis, profnet-snapfun, profnet-prof.

  [ Andreas Tille ]
  * hardening options are not used - no idea why
  * rename debian/substvars to debian/Description to make the trick easier to
    understand
  * DEP5
  * Remove *-dbg package since these are now automatically generated

 -- Tatiana Malygina <merlettaia@gmail.com>  Tue, 05 Jul 2016 18:52:31 +0300

profnet (1.0.22-2) unstable; urgency=low

  [ Laszlo Kajan ]
  * Implemented Eugene V. Lyubimkin's suggestions (minor changes in packaging
    details).
  * Fixed d/rules so that now it builds twice in a row.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 9
  * Priority: optional
  * d/copyright: Fix sequence of entries to fit DEP5
  * d/rules: short dh notation
  * Propagate hardening options
  * lintian-override for substvers which contains package description

 -- Andreas Tille <tille@debian.org>  Wed, 24 Sep 2014 15:25:53 +0200

profnet (1.0.22-1) unstable; urgency=low

  * added build-arch and build-indep recommended targets
  * Demoted Recommends: not-yet-existent (in Debian) packages to Suggests:.
  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 28 Nov 2011 15:51:23 +0100

=== debian/control ===
Source: profnet
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Guy Yachdav <gyachdav@rostlab.org>,
           Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               rsync
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/profnet
Vcs-Git: https://salsa.debian.org/med-team/profnet.git
Homepage: https://www.predictprotein.org/
Rules-Requires-Root: no

Package: profnet-bval
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profbval
Description: neural network architecture for profbval
 ${Description}
 .
 This package contains the neural network architecture for profbval.

Package: profnet-chop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profchop
Description: neural network architecture for profchop
 ${Description}
 .
 This package contains the neural network architecture for profchop.

Package: profnet-con
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profcon
Description: neural network architecture for profcon
 ${Description}
 .
 This package contains the neural network architecture for profcon.

Package: profnet-isis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profisis
Description: neural network architecture for profisis
 ${Description}
 .
 This package contains the neural network architecture for profisis.

Package: profnet-md
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: metadisorder
Description: neural network architecture for metadisorder
 ${Description}
 .
 This package contains the neural network architecture for metadisorder.

Package: profnet-norsnet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: norsnet
Description: neural network architecture for norsnet
 ${Description}
 .
 This package contains the neural network architecture for norsnet.

Package: profnet-prof
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profphd
Description: neural network architecture for profacc
 ${Description}
 .
 This package contains the neural network architecture for profsec and profacc.

Package: profnet-snapfun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: snapfun
Description: neural network architecture for snapfun
 ${Description}
 .
 This package contains the neural network architecture for snapfun.

Package: profphd-net
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profphd
Description: neural network architecture for profphd
 ${Description}
 .
 This package contains the neural network architecture for profphd.

=== debian/tests/control ===
Test-Command: sh debian/tests/installation-test profnet-prof
Depends: @

Test-Command: sh debian/tests/installation-test profnet-chop
Depends: @

Test-Command: sh debian/tests/installation-test profnet-con
Depends: @

Test-Command: sh debian/tests/installation-test profnet-isis
Depends: @

# This test fails - see #905206
#Test-Command: sh debian/tests/installation-test profnet-snapfun
#Depends: @

=== debian/watch ===
version=4
opts=pasv ftp://rostlab.org/profnet/profnet-([0-9.]+)\.tar\.gz
